# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate pep508_rs

Name:           rust-pep508_rs
Version:        0.9.2
Release:        %mkrel 2
Summary:        Library for python dependency specifiers, better known as PEP 508

Group:          Development/Rust
BuildArch:      noarch

License:        Apache-2.0 OR BSD-2-Clause
URL:            https://crates.io/crates/pep508_rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused cdylib build target
Patch:          pep508_rs-fix-metadata.diff
# * bump itertools req
Patch:          pep508_rs-fix-metadata2.diff
BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-thiserror1-devel

%global _description %{expand:
A library for python dependency specifiers, better known as PEP 508.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-thiserror1+default-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License-Apache
%license %{crate_instdir}/License-BSD
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+non-pep508-extensions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+non-pep508-extensions-devel %{_description}

This package contains library source intended for building other packages which
use the "non-pep508-extensions" feature of the "%{crate}" crate.

%files       -n %{name}+non-pep508-extensions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+schemars-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+schemars-devel %{_description}

This package contains library source intended for building other packages which
use the "schemars" feature of the "%{crate}" crate.

%files       -n %{name}+schemars-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat May 31 2025 wally <wally> 0.9.2-2.mga10
+ Revision: 2187604
- bump itertools reqs

* Sun Feb 23 2025 wally <wally> 0.9.2-1.mga10
+ Revision: 2151303
- new version 0.9.2

* Sun Feb 23 2025 wally <wally> 0.6.1-1.mga10
+ Revision: 2151169
- new version 0.6.1
- update RPM group to Development/Rust

* Fri Dec 29 2023 wally <wally> 0.2.3-1.mga10
+ Revision: 2023603
- mageiafy .spec
- imported package rust-pep508_rs


* Wed Oct 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3; Fixes RHBZ#2241059

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1; Fixes RHBZ#2196313

* Sun Apr 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.5-1
- Initial import (#2187682)
